<!DOCTYPE html>
<html>
<head>
<title> <?= $realDir ?> </title>
<style type="text/css">
body {
	margin-top: 0;
	font-family: sans-serif;
}
img {
	border: 0;
}
a {
	text-decoration: none;
}
.square {
	display: inline-block;
	vertical-align: top;
}
.image, .foldername, .image_nopreview, .foldername_nopreview {
	display: table-cell;
	vertical-align: middle;
}
.image, .image_nopreview {
	width: <?= THUMB_SIZE ?>px;
	text-align: center;
}
.image, .foldername {
	height: <?= THUMB_SIZE ?>px;
}
.foldername, .foldername_nopreview {
	padding-left: 1ex;
}
#parentfolder {
	font-size: 4em;
	font-weight: bold;
	height: 0.6em;
}
#credit {
	text-align: right;
	font-size: 0.25cm;
	color: gray;
}
</style>
<?php foreach ($plugins as $p) if (is_file("plugins/$p/style.css")) { ?>
	<link rel="stylesheet" type="text/css" href="<?= $rootUrl."plugins/$p/style.css" ?>" />
<?php } ?>
<?php plugins_include("head.php") ?>
</head>
<body>

<div id="parentfolder">
<?php if ($parentLink !== '') { ?>
<a href="<?= $parentLink ?>">^</a>
<?php } ?>
</div>

<?php plugins_include("before_content.php") ?>

<div id="folders">
<?php foreach($folders as $folder) { $preview = getAlbumPreview($folder["file"]); ?>
	<div class="folder">
	<?php if ($preview === "") { ?>
		<div class="square"><div class="image_nopreview"><a href="<?= $folder["link"] ?>">■</a></div></div>
		<div class="square"><div class="foldername_nopreview"> <a href="<?= $folder["link"] ?>"><?= $folder["name"] ?></a> </div></div>
	<?php } else { ?>
		<div class="square"><div class="image"> <a href="<?= $folder["link"] ?>"><img src="<?= $rootUrl.DATA_URL.$preview ?>" /></a> </div></div>
		<div class="square"><div class="foldername"> <a href="<?= $folder["link"] ?>"><?= $folder["name"] ?></a> </div></div>
		<?php if (isset($generating)) { ob_flush(); flush(); } ?>
	<?php } ?>
	</div>
<?php } ?>
</div>

<div id="images">
<?php foreach ($imageFiles as $file) { ?>
<?php $previewfile = $rootUrl . DATA_URL . getPreview($file["file"]) ?>
	<div class="square"><div class="image imagepreview"><a href="<?= $file["link"] ?>"><img src="<?= $previewfile ?>" alt="<?= $file["name"] ?>" /></a></div><?php plugins_include("after_thumb.php") ?></div>
	<?php if (isset($generating)) { ob_flush(); flush(); } ?>
<?php } ?>
</div>

<div id="miscfiles">
<?php foreach ($otherFiles as $file) { ?>
	<div class="miscfile"><a href="<?= $file["link"] ?>"><?= $file["name"] ?></a></div>
<?php } ?>
</div>

<?php plugins_include("after_content.php") ?>

<p id="credit">
Generated by <a href="http://www.positon.org/bizou/">Bizou</a>
</p>

</body>
</html>
